VDEVGONE(9)

NAME
vdevgone - revoke all specified minor numbered vnodes for a device

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vdevgone(int maj, int minl, int minh, enum vtype type);

DESCRIPTION
The vdevgone() function will revoke all the vnodes corresponding to the specified minor number range for the device with a major number of maj and of type type.

Its arguments are:

maj The major number of the device.

minl
    The lowest minor number for the device to be revoked.

minh
    The highest minor number for the device to be revoked.

type
    The type of the device; this must be one of:

    VBLK
        Device is a block device

    VCHR
        Device is a character device

The endpoints specified by minl and minh are inclusive.

SEE ALSO
vfinddev(9), vnode(9)

HISTORY
This man page was originally written for OpenBSD.